Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class InvoiceFactoringParameter
    Inherits BaseObject

    Private _LiquidAssets As LiquidAssets 'Melyik pénzeszköz
    Private _NumberGenerator As NumberGenerator 'Bankba küldési csomag sorszáma (ezt lehet majd nyomtatni !!!)
    Private _InterestPercent As Double ' Faktor kamat éves !
    Private _InterestPercentMonth As Double 'Havi faktordíj plusz !
    Private _RiskPercent As Double ' Kockázati összeg !
    Private _GracePeriod As Long ' Türelmi idő (nap)
    Private _Controlling_Interest As Controlling 'Banki rögzítésnél hova pontozódjon (kamat)
    Private _Controlling_Risk As Controlling 'Banki rögzítés hova pontozódjon (kockázat)
    Private _Controlling_Fee As Controlling 'Banki rögzítés hova pontozódjon (faktordíj)
    Private _ReportData_Question As ReportData 'Kérelem nyomtatvány

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property LiquidAssets As LiquidAssets
        Get
            Return _LiquidAssets
        End Get
        Set(value As LiquidAssets)
            SetPropertyValue("LiquidAssets", _LiquidAssets, value)
        End Set
    End Property
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    Property InterestPercent As Double
        Get
            Return _InterestPercent
        End Get
        Set(value As Double)
            SetPropertyValue("InterestPercent", _InterestPercent, value)
        End Set
    End Property
    Property InterestPercentMonth As Double
        Get
            Return _InterestPercentMonth
        End Get
        Set(value As Double)
            SetPropertyValue("InterestPercentMonth", _InterestPercentMonth, value)
        End Set
    End Property
    Property RiskPercent As Double
        Get
            Return _RiskPercent
        End Get
        Set(value As Double)
            SetPropertyValue("RiskPercent", _RiskPercent, value)
        End Set
    End Property
    Property GracePeriod As Long
        Get
            Return _GracePeriod
        End Get
        Set(value As Long)
            SetPropertyValue("GracePeriod", _GracePeriod, value)
        End Set
    End Property

    Property Controlling_Interest As Controlling
        Get
            Return _Controlling_Interest
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_Interest", _Controlling_Interest, value)
        End Set
    End Property
    Property Controlling_Risk As Controlling
        Get
            Return _Controlling_Risk
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_Risk", _Controlling_Risk, value)
        End Set
    End Property
    Property Controlling_Fee As Controlling
        Get
            Return _Controlling_Fee
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_Fee", _Controlling_Fee, value)
        End Set
    End Property

    Property ReportData_Question As ReportData
        Get
            Return _ReportData_Question
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData_Question", _ReportData_Question, value)
        End Set
    End Property
End Class
